%define	name	cdrtools
%define	version	1.10a03
%define	release	1
%define	serial	5
%define	prefix	/usr

%define	major	1.10

Summary:	A set command line tools for CD/DVD-Recorders
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Archiving
Vendor:		Joerg Schilling <schilling@fokus.gmd.de>
URL:		http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source:		ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/%{name}-%{version}.tar.gz
Patch0:		cdrecord-1.9-redhat.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
A set command line tools for CD/DVD-Recorders including cdrecord,
mkisofs, readcd, isoinfo and others.

%package	cdrecord
Summary:	A command line CD/DVD-Recorder
Group:		Applications/Archiving
Obsoletes:	cdrecord
Provides:	cdrecord

%description	cdrecord
Cdrecord allows you to create CD's on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

%package	devel
Summary:	The libschily SCSI user level transport library
Group:		Development/Libraries
Obsoletes:	cdrecord-devel
Provides:	cdrecord-devel

%description	devel
The cdrecord distribution contains a SCSI user level transport
library.  The SCSI library is suitable to talk to any SCSI device
without having a special driver for it.

Cdrecord may be easily ported to any system that has a SCSI device
driver similar to the scg driver.

%package	cdda2wav
Summary:	Get WAV files from digital audio cd's
Group:		Applications/Sound
Obsoletes:	cdda2wav, cdrecord-cdda2wav
Provides:	cdda2wav

%description	cdda2wav
A sampling utility for cdrom drives that are capable of sending audio
cd data in digital form to your host. Data can be dumped into wav or
sun format sound files. Options control the recording format (stereo/mono;
8,12,16 bits; different rates).

%package	mkisofs
Summary:	Creates a ISO9660 filesystem image
Group:		Applications/System
Obsoletes:	mkisofs, mkhybrid, cdrecord-mkhybrid, cdrecord-mkisofs
Provides:	mkisofs

%description	mkisofs
This is the mkisofs package.  It is used to create ISO 9660
file system images for creating CD-ROMs. Now includes support
for making bootable "El Torito" CD-ROMs.

%prep
%setup -q -n %{name}-%{major}
%patch0 -p1 -b .redhat

%build
gmake

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
gmake "INS_BASE=$RPM_BUILD_ROOT%{prefix}" install

# Installing Header files for use with devel package
rm include/scg
install -d $RPM_BUILD_ROOT%{prefix}/include/schily/scg
install -m 644 include/* $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 incs/*/xconfig.h $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 libscg/scg/* $RPM_BUILD_ROOT%{prefix}/include/schily/scg

# Installing default config.
mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 cdrecord/cdrecord.dfl $RPM_BUILD_ROOT/etc/cdrecord.conf

## Preparing doc files for RPM
# cdrecord
{
  pushd doc
  groff -Tps -man cdrecord.man > cdrecord.ps
  popd
}

# cdrecord
mkdir cdrecord-rpmdocs
cp AN-%{version} doc/cdrecord.ps Changelog README* Linux.scsi-patch \
   cdrecord/cdrecord.dfl cdrecord-rpmdocs
chmod 644 cdrecord-rpmdocs/*

# cdda2wav
mkdir cdda2wav-rpmdocs
cp AN-%{version} cdda2wav/Frontends cdda2wav/GPL cdda2wav/HOWTOUSE \
   cdda2wav/OtherProgs cdda2wav/README cdda2wav/THANKS cdda2wav/TODO \
   cdda2wav/cdda2mp3 cdda2wav/cdda2mp3.new cdda2wav/cdda_links \
   cdda2wav/pitchplay cdda2wav/readmult cdda2wav/tracknames.pl \
   cdda2wav/tracknames.txt cdda2wav/FAQ \
   cdda2wav-rpmdocs
chmod 644 cdda2wav-rpmdocs/*

# mkisofs
mkdir mkisofs-rpmdocs
cp AN-%{version} mkisofs/COPYING mkisofs/ChangeLog mkisofs/README* \
   mkisofs-rpmdocs
chmod 644 mkisofs-rpmdocs/*

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files	cdrecord
%defattr(-,root,root)
%doc cdrecord-rpmdocs/*
%config(noreplace) /etc/cdrecord.conf
%{prefix}/bin/cdrecord
%{prefix}/bin/readcd
%{prefix}/bin/devdump
%{prefix}/bin/isoinfo
%{prefix}/bin/isodump
%{prefix}/bin/isovfy
%{prefix}/man/man1/cdrecord.1*
%{prefix}/man/man8/isoinfo.8*

%files	devel
%defattr(-,root,root)
%{prefix}/lib/libdeflt.a
%{prefix}/lib/libscg.a
%{prefix}/lib/libschily.a
%{prefix}/include/*.h
%{prefix}/include/schily

%files	cdda2wav
%defattr(-,root,root)
%doc cdda2wav-rpmdocs/*
%{prefix}/bin/cdda2wav
%{prefix}/man/man1/cdda2wav.1*

%files	mkisofs
%defattr(-,root,root)
%doc mkisofs-rpmdocs/*
%{prefix}/bin/mkisofs
%{prefix}/bin/mkhybrid
%{prefix}/man/man8/mkisofs.8*
%{prefix}/man/man8/mkhybrid.8*

%changelog
* Mon Aug 28 2000 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.10a03-1]
- All:
- Fixed a typo in schily.h
- Third phase of libscg restructuring
  - Fixed several bugs in the new error printing routines
    that caused junk to be printed in some cases.
  - reset from libscg now distinguishes between Bus reset
    and target reset.
  - Trying to limit the needed include files in
    scsitranp.c and scsihack.c so potential name space
    conflicts with the low level transport code are
    limited.
  - OS dependaent low level SCSI transport code now is completely
    separated from the upper layers.
  - SCSI address data now is completely encapsulated. 
- The changes made during the last 14 days are the most extensive changes
  made in one step during the last 14 years.
- Although many things changed, the interface for applications did not
  change much. Only all places that derefer members of the SCSI address
  need to be changed to now use the official access macros.
  I hope that the programming interface may now be stable for many years.
  The only forseeable reason to again change the interface would be the 
  implementation of asynchronuous commands (e.g. starta command and wait
  for the completion later). As most OS do not support this, we may safely 
  assume that it will not be implemented soon.

- Cdrecord:
- Now first tries to reset the target and then does a SCSI Bus 
  device reset.
- Modified not to use scgp->scsibus/scgp->target/scgp->lun anymore
- Hack for a mysterioys drive ....
  Device type    : Removable CD-ROM 
  Version        : 0 
  Response Format: 1 
  Vendor_info    : 'RWD     ' 
  Identifikation : 'RW2224          ' 
  Revision       : '2.53' 
  Device seems to be: Generic mmc CD-RW. 

  which seem to have some OPC problems.

- Cdda2wav:
- Modified not to use scgp->scsibus/scgp->target/scgp->lun anymore

- Readcd:
- Modified not to use scgp->scsibus/scgp->target/scgp->lun anymore

- Mkisofs:
- Fixed a bug with graft dirs
  -graft-points will now correctly work with filenames that have all
  '=' chars escaped.
- Patch from James Pearson: discard Newline in list files only if really
  present.

